package com.BotonBackForward.vaadin;

import com.vaadin.ui.Label;
import com.vaadin.ui.Tree;
import com.vaadin.ui.VerticalLayout;

public class MenuLayout extends VerticalLayout {

	private Tree tree = new Tree();
	private Label label = new Label("MENU");
	protected static final String PRINCIPAL = "PRINCIPAL";
	protected static final String PRINCIPAL2 = "PRINCIPAL2";

	public MenuLayout() {

		final VerticalLayout layoutMENU = new VerticalLayout();
		label.setSizeUndefined();
		layoutMENU.setWidth("100%");
		layoutMENU.setMargin(true);
		layoutMENU.addComponent(label);

		tree.setSizeFull();
		tree.addItem(PRINCIPAL);
		tree.addItem(PRINCIPAL2);

		tree.addItemClickListener(e -> {

			Object valor = e.getItemId();

			Demo ui = Demo.getCurrent();
			ContentLayout contentLayout = ui.getPageLayout().getBodyLayout().getContentLayout();
			contentLayout.removeAllComponents();

			if (PRINCIPAL.equals(valor)) {
				Principal p = new Principal();
				contentLayout.addComponent(p);
			}

		});

		addComponents(layoutMENU, tree);
		setExpandRatio(tree, 1);

	}

}
