package com.BotonBackForward.vaadin;

import com.vaadin.navigator.View;
import com.vaadin.navigator.ViewChangeListener.ViewChangeEvent;
import com.vaadin.ui.Label;
import com.vaadin.ui.VerticalLayout;

public class PageLayout extends VerticalLayout implements View {

	public static final String VIEW_NAME = "PageLayout";

	HeaderLayout header = new HeaderLayout();
	BodyLayout body = new BodyLayout();

	public PageLayout() {

		setSizeFull();

		addComponents(header, body);
		setExpandRatio(body, 1);
	}

	public HeaderLayout getHeader() {
		return header;
	}

	public BodyLayout getBodyLayout() {
		return body;
	}

	@Override
	public void enter(ViewChangeEvent event) {
		String args = event.getParameters();
		addComponent(new Label(args));

	}

}
